
%global short_name commons-primitives
# Use this pre-release because it implements new features without breaking the backward compatibility
# and fix some issues in the 1.0 release.
# https://github.com/apache/commons-primitives/commit/ba65d72f2634bae13e0c0157de297c12a7329b16
%global svn_rev 678495
%global githash ba65d72f2634bae13e0c0157de297c12a7329b16

Name:          apache-commons-primitives
Version:       1.1
Release:       0.6.%{svn_rev}%{?dist}
Summary:       A set of collection and utility classes for primitive types
License:       ASL 2.0
Url:           http://commons.apache.org/proper/commons-primitives/
# svn export -r 678495 http://svn.apache.org/repos/asf/commons/proper/primitives/trunk/ commons-primitives-1.1
# tar cJf commons-primitives-1.1.tar.xz commons-primitives-1.1
# or
Source0:       https://github.com/apache/commons-primitives/archive/%{githash}/%{short_name}-%{githash}.tar.gz

Patch0:        apache-commons-primitives-1.1.678495-javadoc.patch

BuildRequires: maven-local
BuildRequires: mvn(commons-collections:commons-collections-testframework)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.commons:commons-parent:pom:)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)

BuildArch:     noarch

%description
Commons Primitives is a set of collection and
utility classes for primitive types. The Java
language has a clear distinction between
Object and primitive types. A lot of functionality
is provided for Object types, including the Java
Collection Framework. Relatively little functionality
is provided by the JDK for primitives. This package
addresses this by providing a set of utility and
collection classes for primitives.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{short_name}-%{githash}
find . -name '*.class' -delete
find . -name '*.jar' -delete

%patch0 -p1

%pom_remove_plugin :maven-assembly-plugin

%mvn_file ":{*}" %{name} @1

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc RELEASE-NOTES.txt PROPOSAL.html
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-0.6.678495
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-0.5.678495
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-0.4.678495
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-0.3.678495
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-0.2.678495
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 19 2012 gil cattaneo <puntogil@libero.it> 1.1-0.1.678495
- initial rpm
